pijul_org / pijul

#176 cargo install pijul fails

Opened by letheed, on September 9, 2017
Closed
letheed commented on September 9, 2017

cargo install pijul fails with the following error message:\r + \r +

error: failed to compile `pijul v0.7.3`, intermediate artifacts can be found at `/tmp/cargo-install.U3cSgaOxJgyy`\r                                                                                                    +
\r                                                                                                                                                                                                                     +
Caused by:\r                                                                                                                                                                                                           +
  native library `ring-asm` is being linked to by more than one version of the same package, but it can only be linked once; try updating or pinning your dependencies to ensure that this package only shows up once\r+
\r                                                                                                                                                                                                                     +
  ring v0.11.0\r                                                                                                                                                                                                       +
  ring v0.12.1\r                                                                                                                                                                                                       +
qb commented on September 9, 2017

confirmed.

pmeunier commented on September 9, 2017

Right, sorry about that. I forgot how cargo behaved wrt semantic versioning when I released the last version of thrussh. This will be fixed as soon as we release 0.8 (i.e. probably today).\r+

pmeunier commented on September 9, 2017

Hi! I just yanked thrussh 0.13.4 on crates.io. I believe this should improve the situation a little.

qb commented on September 9, 2017

Yep!\r +

~\r                    +
❯ pijul -V\r           +
pijul 0.7.3\r          +
```\r                  +
It's OK now, thank you!
letheed commented on September 10, 2017

Thanks!